Get Emnify consumption data
curl --request POST \
--url https://api.raul.ugps.io/api/v1/consumption/emnify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_numbers": [
"423663922670587",
"423663922670588"
],
"start_date": "2025-01-01T00:00:00Z",
"end_date": "2025-01-31T23:59:59Z"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/consumption/emnify"
payload = {
"phone_numbers": ["423663922670587", "423663922670588"],
"start_date": "2025-01-01T00:00:00Z",
"end_date": "2025-01-31T23:59:59Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_numbers: ['423663922670587', '423663922670588'],
start_date: '2025-01-01T00:00:00Z',
end_date: '2025-01-31T23:59:59Z'
})
};
fetch('https://api.raul.ugps.io/api/v1/consumption/emnify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"phone_number": "<string>",
"consumption_mb": 123,
"period": {
"start": "<string>",
"end": "<string>"
},
"endpoint_id": {},
"sim_id": {},
"not_found": true
}
],
"total_count": 123,
"successful_count": 123,
"failed_count": 123
}{
"error": "<string>",
"message": "<string>",
"details": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>"
}Consumption
Get Emnify consumption data
Get data consumption from Emnify API for multiple phone numbers.
This endpoint acts as a secure backend proxy to the Emnify API, keeping API tokens safe and allowing for rate limiting and caching.
Notes:
- Only processes Emnify phone numbers (starting with “42”)
- Maximum 1000 phone numbers per request
- Implements rate limiting and batch processing
POST
/
api
/
v1
/
consumption
/
emnify
Get Emnify consumption data
Authorizations
Bearer token authentication
Body
application/json
⌘I